API ReferenceAdmin Administration
Invite Member
POST
/v1/admin/administration/inviteAuthorization
HTTPBearer AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Invite a member into one or more tenants in a single request.
Prefer grants; the single tenant_id/admin_role_id pair is accepted
for back-compat and normalised into a one-element grants list.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/admin/administration/invite" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "full_name": "string" }'{ "id": "string", "email": "user@example.com", "full_name": "string", "status": "string", "must_change_password": true, "is_active": true, "memberships": [ { "tenant_id": "string", "tenant_name": "string", "admin_role_id": "string", "admin_role_name": "string" } ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "last_active_at": "2019-08-24T14:15:22Z", "online": false}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}